跳到正文

condenser_api.get_following ​

since HF9

Purpose ​

返回正在关注(following)某账户的账户列表。参数:account:string;start:string(起始账户);type:string,例如:blog;limit:int 最大 1000

account (string)start (string)type (string)limit (int)
"steemit"null"blog"10查询名为 steemit 的账户的关注(follow)关系,最多 10 条结果。
"alice"null"ignore"100查询名为 alice 的账户的屏蔽(mute)关系,最多 100 条结果。

另见:follow_api.get_following、Paginated API Methods

Parameters ​

PARAMETERS
json
[
  "steemit",
  null,
  "blog",
  10
]

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_following",
    "params": [
      "steemit",
      null,
      "blog",
      10
    ],
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_following",
    "params": [
      "alice",
      null,
      "ignore",
      100
    ],
    "id": 1
  }'